Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datasource
Interface JRHierarchicalDataset

    public interface JRHierarchicalDataset

A JRHierarchicalDataset provides data for JReport to generate reports. JRHierarchicalDataset class is developed by users of JReport, and it can provide data from a flat file, non-relational database, or application data.

Method Summary
`void` | `close()` Releases this object's resources.
`java.sql.Array` | `getArray(int leafIndex)` Returns the value of the designated leaf in the current branch node row as an Array object in the Java programming language.
`java.math.BigDecimal` | `getBigDecimal(int leafIndex)` Gets the value of the designated leaf in the current branch node row as a java.math.BigDecimal with full precision.
`java.io.InputStream` | `getBinaryStream(int leafIndex)` Returns the value of the designated leaf in the current branch node row as a stream in the Java programming language.
`boolean` | `getBoolean(int leafIndex)` Gets the value of the designated leaf node in the current branch node row as a boolean in the Java programming language.
`byte` | `getByte(int leafIndex)` Gets the value of the designated leaf in the current branch node row as a byte in the Java programming language.
`byte[]` | `getBytes(int leafIndex)` Gets the value of the designated leaf in the current branch node row as a byte array in the Java programming language.
`java.sql.Date` | `getDate(int leafIndex)` Returns the value of the designated leaf in the current branch node row as a java.sql.Date object in the Java programming language.
`double` | `getDouble(int leafIndex)` Returns the value of the designated leaf in the current branch node row as a double in the Java programming language.
`float` | `getFloat(int leafIndex)` Returns the value of the designated leaf in the current branch node row as a float in the Java programming language.
`int` | `getInt(int leafIndex)` Returns the value of the designated leaf in the current branch node row as an int in the Java programming language.
`long` | `getLong(int leafIndex)` Returns the value of the designated leaf in the current branch node row as a long in the Java programming language.
`JRHierarchicalDatasetMetaData` | `getMetaData()` Retrieves the number, types and properties of this object's leaves.
`short` | `getShort(int leafIndex)` Returns the value of the designated leaf in the current branch node row as a short in the Java programming language.
`java.lang.String` | `getString(int leafIndex)` Returns the value of the designated leaf in the current branch node row as a String in the Java programming language.
`java.sql.Time` | `getTime(int leafIndex)` Returns the value of the designated leaf in the current branch node row as a java.sql.Time object in the Java programming language.
`java.sql.Timestamp` | `getTimestamp(int leafIndex)` Returns the value of the designated leaf in the current branch node row as a java.sql.Timestamp object in the Java programming language.
`boolean` | `next(java.lang.String branchName)` Moves the cursor down one row from its current position in the current node.
`boolean` | `wasNull()` Reports whether the last leaf read has a value of SQL NULL.

Method Detail

### getMetaData

    JRHierarchicalDatasetMetaData getMetaData()

  Retrieves the number, types and properties of this object's leaves.

### next

    boolean next(java.lang.String branchName)

  Moves the cursor down one row from its current position in the current node. return true if the new current row is valid; false if there are no more rows in the current node.

  Parameters:
    `branchName` - The full path name of the current node. Its delimiter is full stop which is defined by JRHierarchicalDatasetMetaData.PATH_DELIMITER, like "Employee.Orders".

### getBoolean

    boolean getBoolean(int leafIndex)

  Gets the value of the designated leaf node in the current branch node row as a boolean in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getByte

    byte getByte(int leafIndex)

  Gets the value of the designated leaf in the current branch node row as a byte in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getBytes

    byte[] getBytes(int leafIndex)

  Gets the value of the designated leaf in the current branch node row as a byte array in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getShort

    short getShort(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as a short in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getInt

    int getInt(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as an int in the Java programming language.

  Parameters:
    `leafIndex` - column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getLong

    long getLong(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as a long in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getFloat

    float getFloat(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as a float in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getDouble

    double getDouble(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as a double in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getBigDecimal

    java.math.BigDecimal getBigDecimal(int leafIndex)

  Gets the value of the designated leaf in the current branch node row as a java.math.BigDecimal with full precision.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getDate

    java.sql.Date getDate(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as a java.sql.Date object in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getTime

    java.sql.Time getTime(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as a java.sql.Time object in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getTimestamp

    java.sql.Timestamp getTimestamp(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as a java.sql.Timestamp object in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getString

    java.lang.String getString(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as a String in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getArray

    java.sql.Array getArray(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as an Array object in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### getBinaryStream

    java.io.InputStream getBinaryStream(int leafIndex)

  Returns the value of the designated leaf in the current branch node row as a stream in the Java programming language.

  Parameters:
    `leafIndex` - Column index of the designated leaf node in the current branch node row. The first column is 1, the second is 2,...

### wasNull

    boolean wasNull()

  Reports whether the last leaf read has a value of SQL NULL.

### close

    void close()

  Releases this object's resources.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD